Bug 253801 - kdelibs-devel depends on libutempter-devel
kdelibs-devel depends on libutempter-devel
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-21 20:37 EDT by Carl Roth
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-30 04:50:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output from mock (64.08 KB, text/plain)
2007-08-22 01:26 EDT, Carl Roth
no flags Details

  None (edit)
Description Carl Roth 2007-08-21 20:37:41 EDT
Description of problem:

kdelibs-devel should depend on libutempter-devel.  I was trying to build a KDE
package (kmobiletools in this case) in a 'mock' chroot and noticed that the
transitive dependency for the link could not find libutempter.  I traced
backwards and noticed that libkdecore (kdelibs) depends on libutempter, but this
is not reflected in the *-devel dependencies.  This dependency used to exist in FC6.

Version-Release number of selected component (if applicable):

(not sure if that 'fc6' package belongs in the mock channel for f7)

How reproducible:


Steps to Reproduce:
1. rpm -q --requires kdelibs
   (look for 'libutempter')
2. rpm -q --requires kdelibs-devel
   (look for 'libutempter-devel' -- it's not there)
Actual results:

Expected results:

Additional info:
Comment 1 Rex Dieter 2007-08-21 20:44:02 EDT
What's the koji buildID?  build.log?
Comment 2 Rex Dieter 2007-08-21 20:45:09 EDT
Do you BuildRequires: more than just kdelibs-devel kde-related?
Comment 3 Rex Dieter 2007-08-21 20:50:58 EDT
Just checked out kmobiletools from cvs (devel/ branch), and it builds fine for me. 

$rpm -q kdelibs-devel libutemter-devel
package libutemter-devel is not installed

Comment 4 Carl Roth 2007-08-22 01:25:20 EDT
$rpm -q kdelibs-devel libutemter-devel

Try 'libutempter-devel' instead...

I'm building kmobiletools-0.5.0 from an SVN snapshot from kde.org.  I'm using a
SPEC file adapted from the kmobiletools- SRPM from FC6.

My kde build dependencies from the SPEC file are

  BuildRequires: kdelibs-devel, desktop-file-utils
  BuildRequires: kdepim-devel
  BuildRequires: kdebluetooth-devel

... plus a bunch of other non-kde stuff, since I'm turning on all of the
kmobiletools bells and whistles.

I determined the dependency on libutempter-devel as follows:

  mock-chroot> rpm -ql kdelibs-devel | grep libkdecore

The version of kmobiletools I'm building has kdepim integration turned on, so
the link dependencies include libkabc, and therefore libkdecore.

  mock-chroot> objdump -p /usr/lib/libkdecore.so | grep libutempter
    NEEDED      libutempter.so.0
    required from libutempter.so.0:

  mock-chroot> rpm -qf /usr/lib/libutempter.so.0
  mock-chroot> rpm -qf /usr/lib/libutempter.so

  mock-chroot> rpm -q --requires kdelibs-devel | grep libutempter
  <no output>

  mock-chroot> rpm -q --whatrequires libutempter-devel
  no package requires libutempter-devel

I'm also attaching the mock build output.
Comment 5 Carl Roth 2007-08-22 01:26:24 EDT
Created attachment 162028 [details]
output from mock
Comment 6 Rex Dieter 2007-08-22 07:25:51 EDT
it's most likely kdepim-devel then.

I was going to be pushing a new kdepim build later today anyway...
Comment 7 Carl Roth 2007-08-22 10:37:33 EDT
Specififying the dependency in kdepim-devel won't help clients that link against
libkdecore, but not kdepim...  But obviously that hasn't happened yet or this
bug would have appeared sooner.
Comment 8 Rex Dieter 2007-08-22 10:45:40 EDT
It's not a *real* needed dep, it's just libtool baggage.  kdelibs' .la files
have been cleaned, but pkgs that include their own .la files (like kdepim) that
were built against the older uncleaned kdelibs may still contain references.
Comment 9 Rex Dieter 2007-08-22 14:51:43 EDT
Looks like the safest thing to do is to restore the additional Requires to fc7
Comment 10 Rex Dieter 2007-08-23 10:45:31 EDT
* Wed Aug 22 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.7-21
- -devel: restore awol Requires (< f8 only) (#253801)

test build coming soon.
Comment 11 Fedora Update System 2007-08-24 01:35:22 EDT
kdelibs-3.5.7-21.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2007-08-30 08:31:58 EDT
kdelibs-3.5.7-21.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.